package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

@Table("resource_account")
public class ResourceAccount extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("resource_id")
    private Long resourceId; // 资源id
    @IgnoreAll
    @Column("resource_name")
    private String resourceName; // 资源名称
    @Column("contain_password")
    private Boolean containPassword; // 包含密码
    @Column("password")
    private String password; // 密码

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getResourceId() {
        return resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Boolean getContainPassword() {
        return containPassword;
    }

    public void setContainPassword(Boolean containPassword) {
        this.containPassword = containPassword;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
